GH-RUN-WATCH(1)

NAME
gh-run-watch - Watch a run until it completes, showing its progress

SYNOPSIS
gh run watch <run-id> [flags]

DESCRIPTION
Watch a run until it completes, showing its progress.

By default, all steps are displayed. The --compact option can be used to only show the relevant/failed steps.

This command does not support authenticating via fine grained PATs as it is not currently possible to create a PAT with the checks:read permission.

OPTIONS

--compact
    Show only relevant/failed steps

--exit-status
    Exit with non-zero status if run fails

-i, --interval <int> (default 3)
    Refresh interval in seconds

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    # Watch a run until it's done
    $ gh run watch
    # Watch a run in compact mode
    $ gh run watch --compact
    # Run some other command when the run is finished
    $ gh run watch && notify-send 'run is done!'

SEE ALSO
gh-run(1)